# SPDX-License-Identifier: (GPL-2.0-only OR BSD-2-Clause)
%YAML 1.2
---
$id: http://devicetree.org/schemas/power/actions,s500-sps.yaml#
$schema: http://devicetree.org/meta-schemas/core.yaml#

title: Actions Semi Owl Smart Power System (SPS)

maintainers:
  - Andreas Färber <afaerber@suse.de>
  - Manivannan Sadhasivam <mani@kernel.org>

properties:
  compatible:
    enum:
      - actions,s500-sps
      - actions,s700-sps
      - actions,s900-sps

  reg:
    maxItems: 1

  '#power-domain-cells':
    const: 1

required:
  - compatible
  - reg
  - '#power-domain-cells'

additionalProperties: false

examples:
  - |
    power-controller@b01b0100 {
        compatible = "actions,s500-sps";
        reg = <0xb01b0100 0x100>;
        #power-domain-cells = <1>;
    };
